<?php
$host = 'localhost'; 
$database = 'C:\Program Files (x86)\Common Files\Aspel\Sistemas Aspel\SAE7.00\Ejemplos\Ejemplos.FDB';
/* $database = 'C:\Program Files (x86)\Common Files\Aspel\Sistemas Aspel\SAE7.00\Ejemplos\Ejemplos.fdb'; */
$username = 'SYSDBA'; 
$password = 'masterkey'; 

try {
    $dbh = new PDO("firebird:host=$host;dbname=$database;charset=UTF8", $username, $password);
    $dbh->setAttribute(PDO::ATTR_ERRMODE, PDO::ERRMODE_EXCEPTION);

    $stmt = $dbh->prepare("SELECT CVE_ART, DESCR, EXIST, UNI_MED, LIN_PROD FROM INVE01");
    $stmt->execute();

    $productos = array();
    while ($row = $stmt->fetch(PDO::FETCH_ASSOC)) {
        // Asumiendo que las imágenes están almacenadas en un directorio accesible por el servidor web
        $nombreImagen = $row['CVE_ART'] . '.jpg'; // Nombre de la imagen (CVE_ART.jpg)

        // Crear la URL de la imagen basándose en el nombre del producto usando el alias configurado
        $row['URL_IMAGEN'] = '/imagenes-productos/' . $nombreImagen; // Cambia esto si tu ruta es diferente

        $productos[] = $row;
    }

    echo json_encode($productos);
} catch (PDOException $e) {
    echo json_encode(['error' => $e->getMessage()]);
}
?>
